﻿@using System.Web.UI.WebControls
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@*fid.marini 2/11/2012*@

<script type="text/javascript">
 function OnBeginCallbackGrid(s, e) {
        e.customArgs["SUPPLIER_CODE"] = OIHSupplierOptionDb.GetText();
        e.customArgs["Flag"] = txtStatus.GetValue();

       }

  function ClearItem(s, e) {
            OIHSupplierOptionDb.SetText('');
              txtStatus.SetText('');
              
            grdDataGeneral.PerformCallback();
            grdDataUpdate.PerformCallback();
        }

        function getParam(name) {
            name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
            var regexS = "[\\?&]" + name + "=([^&#]*)";
            var regex = new RegExp(regexS);
            var results = regex.exec(window.location.href);
            if (results == null)
                return "";
            else
                return results[1];
        }

            function OnDownloadTemplateLinkClick(s, e) {
             var ParamSupplierCode = OIHSupplierOptionDb.GetText(); 
              
            $.fileDownload("SupplierDb/DownloadSheet/", {
             data :{
                SupplierCode: ParamSupplierCode
            },
            successCallback: function (url) {
            },
            failCallback: function (responseHtml, url) {
                alert(responseHtml);
            }
        });

        }

        function OnPasingSuppCode(SupplierCodePasing) {
        alert(SupplierCodePasing);
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/SupplierProfile/getInit")",
            dataType: "text",
            data: {
                SupplierCode : "0001"

            },
            success: function (result) {
                },
            error: function (result) {
            }
        });
    }

    function SearchData(s, e) {
       
            grdDataGeneral.PerformCallback();
            grdDataUpdate.PerformCallback();

            }

        function OnClickSuppCodeDb(s, e) {

            var link = '<ul><li><a href="@Url.Action("Index", "SupplierProfile", new { SupplierCode="_manifestNos_", TabActive="2" })" ></a></li></ul>'.replace('_manifestNos_', SupplierCode);
            $("#linkSuccess").html(link);
        }


    function OnbtnConfirmClick(s, e) {
        var _supplierCode = "";
        var _itemNo = "";
        var _partNo = "";
        var _year = "";
        var GridId = "";
        //var _general="";


        if (TabSupplier.GetActiveTabIndex() == 1) {
            for (var index = grdDataUpdate.GetTopVisibleIndex() ; index < ((grdDataUpdate.GetPageIndex() * grdDataUpdate.cpPageSize) + grdDataUpdate.GetVisibleRowsOnPage()) ; index++) {

                if (grdDataUpdate.IsRowSelectedOnPage(index)) {
                    GridId += grdDataUpdate.cpSupplierCode[index - (grdDataUpdate.GetPageIndex() * grdDataUpdate.cpPageSize)] + ";";

                    _supplierCode += grdDataUpdate.cpSupplierCode[index - (grdDataUpdate.GetPageIndex() * grdDataUpdate.cpPageSize)] + ",";
                    //_general+= grdDataUpdate.cpGeneral[index - (grdDataUpdate.GetPageIndex() * grdDataUpdate.cpPageSize)] + ",";
                }

            }

            
        }        

        if (GridId == "") {
            alert("No Data Selected !!!");
        }
//        else if(_general.IndexOf("false")!=-1)
//        {
//            alert("Data General Supplier Not Confirm");
//        }
        else {
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/SupplierDB/UpdateConfirmation")",
                data: {
                    SupplierCode: _supplierCode,
                    ActiveTab: TabSupplier.GetActiveTabIndex()
                },
                success: function (result) {

                    alert(result);

                    grdDataUpdate.UnselectRows();
                 

                },
                error: function (result) {
                    alert("Error when update data");
                }
            });
        }

    }


</script>

<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 10px; width:98%;">
    @Html.Action("PartialHeader", "SupplierDB")
</div>
<div style="height: 5px; width:100%;">
</div>
<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 10px; width:98%;">
    @Html.Partial("HeaderSupplierDB")
</div>
<div style="height: 15px; width:100%;">
</div>
<div style="height: 15px; width:100%;">
    @Html.DevExpress().PageControl(
        settings => {
            settings.Name = "TabSupplier";
            settings.Width = Unit.Percentage(100);
            settings.TabPages.Add("General").SetContent(() =>
            {
                Html.RenderAction("GeneralPartial", "SupplierDB");
            });
            settings.TabPages.Add("Update").SetContent(() =>
            {
                Html.RenderAction("UpdatePartial", "SupplierDB");
            });
        }).GetHtml()
</div>
    
    